SystemOrganization addCategory: #ConfigurationOfTimeZoneDatabase!

Object subclass: #ConfigurationOfTimeZoneDatabase
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfTimeZoneDatabase'!

!ConfigurationOfTimeZoneDatabase class methodsFor: 'development support' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'private' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'private' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'private' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'metacello tool support' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'loading' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'loading' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'loading' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'accessing' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
project

	^self new project! !

!ConfigurationOfTimeZoneDatabase class methodsFor: 'development support' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfTimeZoneDatabase methodsFor: 'baselines' stamp: 'PaulDeBruicker 2/3/2019 20:00'!
baseline01: spec
	<version: '0.1-baseline'>
	spec
		for: #common
		do: [ spec blessing: #baseline.
			spec repository: 'http://www.squeaksource.com/TimeZoneDatabase'.
			spec package: 'Time'.
			spec group: 'Core' with: #('default') ].
	spec
		for: #squeak
		do: [ spec
				package: 'TimeZoneDatabase-Squeak'
				with: [ spec requires: #('Time') ].
			spec group: 'default' with: #('TimeZoneDatabase-Squeak') ].
	spec
		for: #pharo
		do: [ spec
				package: 'TimeZoneDatabasePharoPreload';
				package: 'Time'
					with: [ spec requires: #('TimeZoneDatabasePharoPreload') ];
				package: 'TimeZoneDatabase-Pharo'
					with: [ spec requires: #('Time') ].
			spec group: 'default' with: #('TimeZoneDatabase-Pharo') ].
	spec
		for: #(#'pharo7.x' #'pharo8.x')
		do: [ Error signal: 'Use the BaselineOfTimeZoneDatabase in this repo' ]! !

!ConfigurationOfTimeZoneDatabase methodsFor: 'accessing' stamp: 'pad 3/14/2016 10:55'!
buildSystemDatabase

	 TimeZoneDatabase buildSystemDatabaseForSqueak! !

!ConfigurationOfTimeZoneDatabase methodsFor: 'accessing' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfTimeZoneDatabase methodsFor: 'accessing' stamp: 'PaulDeBruicker 3/10/2016 12:48'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfTimeZoneDatabase methodsFor: 'accessing' stamp: 'PaulDeBruicker 6/20/2017 17:41'!
stable: spec
	<symbolicVersion: #stable>
	spec for: #common version: '0.2'! !

!ConfigurationOfTimeZoneDatabase methodsFor: 'accessing' stamp: 'PaulDeBruicker 9/21/2016 19:34'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec postLoadDoIt: #buildSystemDatabase.
			spec package: 'Time' with: 'Time-PaulDeBruicker.53' ].
	spec for: #squeak do: [ spec package: 'TimeZoneDatabase-Squeak' with: 'TimeZoneDatabase-Squeak-pad.5' ].
	spec
		for: #pharo
		do: [ 
			spec
				package: 'TimeZoneDatabasePharoPreload' with: 'TimeZoneDatabasePharoPreload-PaulDeBruicker.1';
				package: 'TimeZoneDatabase-Pharo' with: 'TimeZoneDatabase-Pharo-PaulDeBruicker.5' ]! !

!ConfigurationOfTimeZoneDatabase methodsFor: 'accessing' stamp: 'PaulDeBruicker 6/20/2017 18:05'!
version02: spec
	<version: '0.2' imports: #('0.1-baseline')>
	spec
		for: #common
		do: [ spec blessing: #stable.
			spec postLoadDoIt: #buildSystemDatabase.
			spec package: 'Time' with: 'Time-PaulDeBruicker.53' ].
	spec
		for: #squeak
		do: [ spec package: 'TimeZoneDatabase-Squeak' with: 'TimeZoneDatabase-Squeak-pad.5' ].
	spec
		for: #(#'pharo4.x' #'pharo5.x')
		do: [ spec
				package: 'TimeZoneDatabasePharoPreload'
					with: 'TimeZoneDatabasePharoPreload-PaulDeBruicker.1';
				package: 'TimeZoneDatabase-Pharo' with: 'TimeZoneDatabase-Pharo-PaulDeBruicker.5' ].
	spec
		for: #'pharo6.x'
		do:
			[ spec package: 'TimeZoneDatabase-Pharo' with: 'TimeZoneDatabase-Pharo-PaulDeBruicker.7' ]! !
